OpenTTD Source: Sign Struct Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Data Fields
Sign Struct Reference
Inheritance diagram for Sign:

## Public Member Functions
| Sign (Owner owner, int32_t x, int32_t y, int32_t z, const std::string &name)
| ~Sign ()
| Destroy the sign.
void | UpdateVirtCoord ()
| Update the coordinate of one sign.
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_sign_pool >
void * | operator new (size_t size)
| Allocates space for new Titem.
void * | operator new (size_t size, Tindex index)
| Allocates space for new Titem with given index.
void * | operator new (size_t, void *ptr)
| Allocates space for new Titem at given memory address.
void | operator delete (void *p, size_t size)
| Marks Titem as free.

## Data Fields
std::string | name {}
TrackedViewportSign | sign {}
int32_t | x = 0
int32_t | y = 0
int32_t | z = 0
Owner | owner = INVALID_OWNER
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_sign_pool >
Tindex | index
| Index of this pool item.

## Additional Inherited Members
Public Types inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_sign_pool >
typedef struct Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache > | Pool
| Type of the pool this item is going to be part of.
Static Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_sign_pool >
static bool | CanAllocateItem (size_t n=1)
| Helper functions so we can use PoolItem::Function() instead of _poolitem_pool.Function()
static bool | CleaningPool ()
| Returns current state of pool cleaning - yes or no.
static bool | IsValidID (auto index)
| Tests whether given index can be used to get valid (non-nullptr) Titem.
static Titem * | Get (auto index)
| Returns Titem with given index.
static Titem * | GetIfValid (auto index)
| Returns Titem with given index.
static size_t | GetPoolSize ()
| Returns first unused index.
static size_t | GetNumItems ()
| Returns number of valid items in the pool.
static void | PostDestructor (size_t index)
| Dummy function called after destructor of each member.
static Pool::IterateWrapper< Titem > | Iterate (size_t from=0)
| Returns an iterable ensemble of all valid Titem.

## Detailed Description

Definition at line 21 of file signs_base.h.

## Constructor & Destructor Documentation

## ◆ Sign() [1/2]

Sign::Sign | ( |  | ) |
| inline

Definition at line 29 of file signs_base.h.

## ◆ Sign() [2/2]

Sign::Sign | ( | Owner | owner,
|  | int32_t | x,
|  | int32_t | y,
|  | int32_t | z,
|  | const std::string & | name
| ) |  |
| inline

Definition at line 30 of file signs_base.h.

## ◆ ~Sign()

Sign::~Sign | ( |  | ) |

Destroy the sign.

Definition at line 28 of file signs.cpp.

References DeleteRenameSignWindow().

## Member Function Documentation

## ◆ UpdateVirtCoord()

void Sign::UpdateVirtCoord | ( |  | ) |

Update the coordinate of one sign.

Definition at line 38 of file signs.cpp.

References GetString(), Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_sign_pool >::index, Kdtree< T, TxyFunc, CoordT, DistT >::Insert(), TrackedViewportSign::kdtree_valid, RemapCoords(), Kdtree< T, TxyFunc, CoordT, DistT >::Remove(), TrackedViewportSign::UpdatePosition(), Coord2D< T >::x, and Coord2D< T >::y.

Referenced by CmdMoveSign(), CmdPlaceSign(), and CmdRenameSign().

## Field Documentation

## ◆ name

std::string Sign::name {}

Definition at line 22 of file signs_base.h.

## ◆ owner

Owner Sign::owner = INVALID_OWNER

Definition at line 27 of file signs_base.h.

## ◆ sign

TrackedViewportSign Sign::sign {}

Definition at line 23 of file signs_base.h.

## ◆ x

int32_t Sign::x = 0

Definition at line 24 of file signs_base.h.

## ◆ y

int32_t Sign::y = 0

Definition at line 25 of file signs_base.h.

## ◆ z

int32_t Sign::z = 0

Definition at line 26 of file signs_base.h.

The documentation for this struct was generated from the following files:

- src/signs_base.h
- src/signs.cpp